scsum1.f(3)

NAME
scsum1.f

SYNOPSIS

  Functions/Subroutines
real function scsum1 (N, CX, INCX)
SCSUM1 forms the 1-norm of the complex vector using the true absolute value.

Function/Subroutine Documentation

  real function scsum1 (integer N, complex, dimension( * ) CX, integer INCX)

Purpose:

     SCSUM1 takes the sum of the absolute values of a complex
     vector and returns a single precision result.
     Based on SCASUM from the Level 1 BLAS.
     The change is to use the 'genuine' absolute value.

Parameters
    N

              N is INTEGER
              The number of elements in the vector CX.

    CX

              CX is COMPLEX array, dimension (N)
              The vector whose elements will be summed.

    INCX

              INCX is INTEGER
              The spacing between successive values of CX.  INCX > 0.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Contributors:
    Nick Higham for use with CLACON.

Definition at line 80 of file scsum1.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.